> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# sourceproduct

> Products - Sales &amp; Marketing, Customer Service

## "sourceproduct" MDO List

Products: Sales & Marketing, Customer Service

Implemented by the <see cref="T:SuperOffice.CRM.Lists.SourceListProvider">SourceListProvider</see> class.
The name of the MDO list is 'sourceproduct'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/sourceproduct
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("sourceproduct", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name              | StyleHint | ExtraInfo |
| -- | ----------------- | --------- | --------- |
| 0  | Sales & Marketing |           |           |
| 1  | Customer Service  |           |           |

## Related MDO Lists

* "sourceproductheadings"
* "sourceproductheadingswithallitem"
* "sourceproductheadingswithallitemwithnoselection"
* "sourceproductheadingswithnoselection"
* "sourceproductwithallitem"
* "sourceproductwithallitemwithnoselection"
* "sourceproductwithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
